Package org.eclipse.emf.cdo.transaction

# Enum Class CDOTransactionScopeClosedEvent.Cause

java.lang.Object
java.lang.Enum<CDOTransactionScopeClosedEvent.Cause>
org.eclipse.emf.cdo.transaction.CDOTransactionScopeClosedEvent.Cause

All Implemented Interfaces:
  `Serializable`, `Comparable<CDOTransactionScopeClosedEvent.Cause>`, `Constable`

Enclosing interface:
  `CDOTransactionScopeClosedEvent`

public static enum CDOTransactionScopeClosedEvent.Cause extends Enum<CDOTransactionScopeClosedEvent.Cause>
The cause that closed a scope.

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COMMITTED`
The scope completed successfully and its changes were accepted.
`ROLLED_BACK`
The scope and its descendants were restored to their boundary state.

## Method Summary

Modifier and Type
Method
Description
`static CDOTransactionScopeClosedEvent.Cause`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDOTransactionScopeClosedEvent.Cause[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### COMMITTED

public static final CDOTransactionScopeClosedEvent.Cause COMMITTED
The scope completed successfully and its changes were accepted.

### ROLLED_BACK

public static final CDOTransactionScopeClosedEvent.Cause ROLLED_BACK
The scope and its descendants were restored to their boundary state.

## Method Details

### values

public static CDOTransactionScopeClosedEvent.Cause[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CDOTransactionScopeClosedEvent.Cause valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null